Last modified: 2012-04-19 21:43:08 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21110 - Search&replace dialog triggers replacement of search string on Enter after dialog is closed
Search&replace dialog triggers replacement of search string on Enter after di...
Status: CLOSED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
PC Windows XP
: Normal major (vote)
: ---
Assigned To: Trevor Parscal
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-10-12 09:24 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Search and Replace Error (152.43 KB, application/pdf)
2009-10-12 09:24 UTC, Calcey QA
Details

Description Calcey QA 2009-10-12 09:24:58 UTC
Created attachment 6664 [details]
Search and Replace Error

Reporting against Babaco Release r57575.

Steps to reproduce::
1. Edit a component string
2. Search and replace a string
3. Click on Esc
4. Type something on the editor including the search string 
5. Press enter

<<The search string gets change.>> 


Expected output::
If its not exclusive search and replace, there should not be any 

replacement.


Test Environment::
Browser (User-Agent): Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US;
rv:1.9.0.14) Gecko/2009082707 Firefox/3.0.14 Time and Date: 9:54:29 AM -
Monday, October 12, 2009 Javascript: EnabledNot Available/Enabled 

Cookies
Enabled: Enabled
Comment 1 Roan Kattouw 2009-10-14 18:27:28 UTC
Fixed in r57707
Comment 2 Calcey QA 2009-10-16 07:37:16 UTC
Verified and closed

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links